package com.tzld.piaoquan.risk.control.controller;

import com.alibaba.fastjson.JSON;
import com.tzld.piaoquan.risk.control.model.qywx.QwCallBackWrapperData;
import com.tzld.piaoquan.risk.control.service.impl.QywxUserDataService;
import com.tzld.piaoquan.risk.control.service.qywx.Constant;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/qw")
public class QwCallbackController {
    private static final Logger LOGGER = LoggerFactory.getLogger(QwLoginController.class);
    @Autowired
    private QywxUserDataService userDataService;
    @PostMapping("/callback")
    public void onMessage(@RequestBody String callbackData) {
        // 1. 解析外层数据
        LOGGER.info("Received qw message: {}", callbackData);
        QwCallBackWrapperData wrapperData =  JSON.parseObject(callbackData, QwCallBackWrapperData.class);
        if (wrapperData != null && wrapperData.getType() == Constant.LOGIN_SUCCESS) {
            userDataService.processUserData(callbackData);
        }
        // Handle the message

        System.out.println("Received message: " + callbackData);

    }
}
